# Asterisk Project : Asterisk 13 Application_SIPRemoveHeader

Created by wikibot on Aug 08, 2014

# SIPRemoveHeader()

### Synopsis

Remove SIP headers previously added with SIPAddHeader

### Description

SIPRemoveHeader() allows you to remove headers which were previously added with SIPAddHeader(). If no parameter is supplied, all previously added headers will be removed. If a parameter is supplied, only the matching headers will be removed.

For example you have added these 2 headers:

SIPAddHeader(P-Asserted-Identity: sip:foo@bar);

SIPAddHeader(P-Preferred-Identity: sip:bar@foo);

// remove all headers

SIPRemoveHeader();

// remove all P- headers

SIPRemoveHeader(P-);

// remove only the PAI header (note the : at the end)

SIPRemoveHeader(P-Asserted-Identity;

Always returns `0`.

### Syntax

    SIPRemoveHeader([Header])

##### Arguments

- `Header`

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538